
QGIS Application - Feature request #259

Remember WMS GetCapabilities response during work session

2006-09-05 12:42 AM - anonymous -

Status: Closed

Priority: Low

Assignee:

Category: Web Services clients/WMS

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 10318

Description

If I want to add more than one layer from WMS server, I have to allways to do [[GetCapabilities]] (Connect) first. Better would be to

remember last [[GetCapabilities]] response during entire work seesion (only when QGIS is running) and get new response only on users

request (click on "Connect" button).

History

#1 - 2008-03-19 07:48 AM - leolami -

It is possible to select more layers in one time.

#2 - 2008-03-20 03:38 AM - leolami -

- Status changed from Open to Closed

- Resolution set to fixed

I close it. If you think it is still valid reopen it, please.

#3 - 2009-01-23 02:53 AM - marisn -

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

As multiple selected layers are added to QGIS as single layer, it's common use case to add single/multiple WMS layers from one service to project during

QGIS work session. That allows to use QGIS for layer management (On/Off, order). Having some QGIS work session based capabilities cache would be a

good thing. 

Reopening, as it's usefull feature. Also it was incorrectly closed as "Fixed" instead of "Wontfix".

#4 - 2011-12-16 01:59 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#5 - 2012-04-15 10:13 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#6 - 2012-10-06 02:34 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#7 - 2014-06-21 02:42 PM - Giovanni Manghi

- Operating System deleted (All)
- Status changed from Feedback to Open

- Assignee deleted (Brendan Morley -)

- Status info deleted (0)

- Pull Request or Patch supplied set to No

#8 - 2016-02-19 07:58 AM - Jürgen Fischer

- Resolution set to fixed/implemented

- Status changed from Open to Closed

implemented in commit:9c340d7b4
